Bug 132696 - [patch] deskutils/xpad: update to version 3.1
Summary: [patch] deskutils/xpad: update to version 3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-16 13:30 UTC by Boris Samorodov
Modified: 2009-03-16 15:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2009-03-16 13:30:01 UTC
	A new version of deskutils/xpad is available:
	https://launchpad.net/xpad/+announcements

Fix: . update to version 3.1;
	. xpad is now released under the terms of the GPL v3;
	. use new MASTER_SITES since SF contains only old version(s);
	. remove "-A" option from FETCH_ARGS since fetching is
	  actually is redirected and the tarball can't be fetched otherwise;
	. fix pkg-plist.


WBR
-- 
bsam--qoeQmhDCNaZatNvkFao7URGZLJI8kN6t5c0aDo4LvkWY9vLV
Content-Type: text/plain; name="xpad.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="xpad.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/deskutils/xpad/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- Makefile	6 Jun 2008 13:18:34 -0000	1.20
+++ Makefile	16 Mar 2009 13:19:27 -0000
@@ -6,14 +6,14 @@
 #
 
 PORTNAME=	xpad
-PORTVERSION=	2.14
-PORTREVISION=	2
+PORTVERSION=	3.1
 CATEGORIES=	deskutils
-MASTER_SITES=	SF
+MASTER_SITES=	http://launchpad.net/xpad/stable/${PORTVERSION}/+download/
 
 MAINTAINER=	amyfoub@gmail.com
 COMMENT=	A virtual note-pad system for your X11 desktop
 
+FETCH_ARGS=	"-pRr"
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_XORG=	x11 sm
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/deskutils/xpad/distinfo,v
retrieving revision 1.9
diff -u -r1.9 distinfo
--- distinfo	11 Apr 2008 12:30:02 -0000	1.9
+++ distinfo	16 Mar 2009 13:19:27 -0000
@@ -1,3 +1,3 @@
-MD5 (xpad-2.14.tar.bz2) = 1e12e6aec8f03a656eb6427ba22c38d3
-SHA256 (xpad-2.14.tar.bz2) = 20534234aa4eb448d6b8ae8c296463b259a56c8df2a069e82653fc3b1b8ae89a
-SIZE (xpad-2.14.tar.bz2) = 221859
+MD5 (xpad-3.1.tar.bz2) = 602869ac7a323a5fb457849959000625
+SHA256 (xpad-3.1.tar.bz2) = 5069c2d2edde431c4eca13bdd55de69e68d14cc3e9f047c080d39f91b7e9e879
+SIZE (xpad-3.1.tar.bz2) = 184838
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/deskutils/xpad/pkg-plist,v
retrieving revision 1.10
diff -u -r1.10 pkg-plist
--- pkg-plist	11 Apr 2008 12:30:02 -0000	1.10
+++ pkg-plist	16 Mar 2009 13:19:27 -0000
@@ -1,9 +1,10 @@
 bin/xpad
 share/applications/xpad.desktop
-share/icons/hicolor/48x48/apps/xpad.png
+share/icons/hicolor/icon-theme.cache
 share/icons/hicolor/scalable/apps/xpad.svg
 share/locale/af/LC_MESSAGES/xpad.mo
 share/locale/bg/LC_MESSAGES/xpad.mo
+share/locale/cs/LC_MESSAGES/xpad.mo
 share/locale/da/LC_MESSAGES/xpad.mo
 share/locale/en_GB/LC_MESSAGES/xpad.mo
 share/locale/es/LC_MESSAGES/xpad.mo
@@ -12,7 +13,9 @@
 share/locale/ga/LC_MESSAGES/xpad.mo
 share/locale/hu/LC_MESSAGES/xpad.mo
 share/locale/it/LC_MESSAGES/xpad.mo
+share/locale/ja/LC_MESSAGES/xpad.mo
 share/locale/ko/LC_MESSAGES/xpad.mo
+share/locale/lv/LC_MESSAGES/xpad.mo
 share/locale/nl/LC_MESSAGES/xpad.mo
 share/locale/ro/LC_MESSAGES/xpad.mo
 share/locale/ru/LC_MESSAGES/xpad.mo
@@ -21,7 +24,6 @@
 share/locale/vi/LC_MESSAGES/xpad.mo
 share/locale/zh_CN/LC_MESSAGES/xpad.mo
 share/locale/zh_TW/LC_MESSAGES/xpad.mo
-share/pixmaps/xpad.png
 @dirrmtry share/applications
 @dirrmtry share/locale/rw/LC_MESSAGES
 @dirrmtry share/locale/rw
Comment 1 Edwin Groothuis freebsd_committer 2009-03-16 13:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-03-16 13:30:17 UTC
Maintainer of deskutils/xpad,

Please note that PR ports/132696 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132696

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-03-16 13:30:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Guillaume Paquet 2009-03-16 14:40:27 UTC
Yes, it's ok.

Guillaume

On Mon, Mar 16, 2009 at 9:30 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of deskutils/xpad,
>
> Please note that PR ports/132696 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132696
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 dfilter service freebsd_committer 2009-03-16 15:30:39 UTC
bsam        2009-03-16 15:30:18 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/xpad       Makefile distinfo pkg-plist 
  Log:
  . update to version 3.1;
  . xpad is now released under the terms of the GPL v3;
  . use new MASTER_SITES since SF contains only old version(s);
  . remove "-A" option from FETCH_ARGS since fetching is
    actually is redirected and the tarball can't be fetched otherwise;
  . fix pkg-plist.
  
  PR:             ports/132696
  Submitted by:   bsam (me)
  Approved by:    Guillaume <amyfoub at gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.21      +3 -3      ports/deskutils/xpad/Makefile
  1.10      +3 -3      ports/deskutils/xpad/distinfo
  1.11      +4 -2      ports/deskutils/xpad/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Boris Samorodov freebsd_committer 2009-03-16 15:30:48 UTC
State Changed
From-To: feedback->closed

Committed, thanks!